Update or create a billing entity (upsert)
Update or create a billing entity (upsert)
Requires the BILLING_ENTITY.CREATE or BILLING_ENTITY.UPDATE permission.
Authentication
X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
version
version
Headers
x-platform-id
Platform ID.
Query parameters
identifier_field
Which field to use to identify whether the resource exists or not
custom_field_reference
Which custom field to use to identify whether the resource exists or not
field_actions
The list of actions for specific fields.
Request
This endpoint expects an object.
reference
default_customer_country_selector
default_billing_currency_selector
status
timezone
legal_name
The legal name of the billing entity.
tax_id
The ID used for tax purposes of the billing entity.
tax_ids
Tax IDs used for tax purposes of the billing entity
registration_number
The registration number of the billing entity.
registered_address
The address of this tax registration, if different from the billing entity. Currently, only the address will be used for tax calculations
email
The email address of the billing entity.
tax_settings
Customise tax settings for this Billing Entity
tax_registrations
Extra tax registrations for this billing entity
custom_fields
linked_integrations
Response
Created
reference
default_customer_country_selector
default_billing_currency_selector
object_type
id
created_at
status
timezone
legal_name
The legal name of the billing entity.
tax_id
The ID used for tax purposes of the billing entity.
tax_ids
Tax IDs used for tax purposes of the billing entity
registration_number
The registration number of the billing entity.
registered_address
The address of this tax registration, if different from the billing entity. Currently, only the address will be used for tax calculations
email
The email address of the billing entity.
tax_settings
Customise tax settings for this Billing Entity
tax_registrations
Extra tax registrations for this billing entity
custom_fields
linked_integrations
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error